Cullen76DMSOCorrection
Date: 2014-08-08

melting.otherCorrections.dmsoCorrections

## Class Cullen76DMSOCorrection

- java.lang.Object
- - melting.correctionMethods.DNADMSOCorrections
  - - melting.otherCorrections.dmsoCorrections.Cullen76DMSOCorrection

- All Implemented Interfaces:
    CorrectionMethod, NamedMethod

      public class Cullen76DMSOCorrection
      extends DNADMSOCorrections
      implements NamedMethod

  This class represents the DMSO correction model cul76. It extends DNADMSOCorrections. Cullen Br, Bick Md, "Thermal denaturation of DNA from bromodeoxyuridine substitued cells." Nucleic acids research, 1976, 3, 49-62.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cullen76DMSOCorrection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `correctMeltingResults(Environment environment)` This method is called to correct the computed melting temperature.
    `java.lang.String` | `getName()` Gets the full name of the method.

    - ### Methods inherited from class melting.correctionMethods.DNADMSOCorrections

      `correctMeltingResult, isApplicable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Cullen76DMSOCorrection

          public Cullen76DMSOCorrection()

  - ### Method Detail

    - #### correctMeltingResults

          public ThermoResult correctMeltingResults(Environment environment)

      Description copied from interface: `CorrectionMethod`
      This method is called to correct the computed melting temperature.
      Specified by:
        `correctMeltingResults` in interface `CorrectionMethod`
      Returns:
        ThermoResult which contains the corrected results (enthalpy, entropy and melting temperature).

    - #### getName

          public java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Returns:
        The full name of the method.